package com.qmth.jkserver.params.callApi.fileUpload;

import com.qmth.jkserver.annotation.DBVerify;

import java.io.File;

/**
 * @Description: 云阅卷文件上传接口-JSON文件上传参数
 * @Author: CaoZixuan
 * @Date: 2021-05-19
 */
public class JsonFileParams {
    @DBVerify(value = "考试id",required = true)
    private int examId;

    @DBVerify(value = "准考证号",required = true)
    private String examNumber;

    @DBVerify(value = "JSON文件",required = true)
    private File file;

    @DBVerify(value = "摘要验证")
    private String md5;

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }
}
